aboutsummaryrefslogtreecommitdiffhomepage
path: root/src/test/shell
diff options
context:
space:
mode:
authorGravatar Dmitry Lomov <dslomov@google.com>2016-06-27 16:41:15 +0000
committerGravatar Dmitry Lomov <dslomov@google.com>2016-06-27 17:07:07 +0000
commit805c8b2b667c77ad04d1e2a917e1fe2c00551170 (patch)
tree63980e74f2c4117e1e57a66249f8366cd696b1e1 /src/test/shell
parent6f09666d994b3bd7663eb3f95e2aeaf63c85b0d7 (diff)
Do not run bazel_windows_cpp_test on releases without rlocation.
-- MOS_MIGRATED_REVID=125965429
Diffstat (limited to 'src/test/shell')
-rwxr-xr-xsrc/test/shell/bazel/bazel_windows_cpp_test.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/src/test/shell/bazel/bazel_windows_cpp_test.sh b/src/test/shell/bazel/bazel_windows_cpp_test.sh
index 4bff4c746a..d93eeaa90b 100755
--- a/src/test/shell/bazel/bazel_windows_cpp_test.sh
+++ b/src/test/shell/bazel/bazel_windows_cpp_test.sh
@@ -17,6 +17,11 @@
# Tests the examples provided in Bazel with MSVC toolchain
#
+if ! test rlocation &> /dev/null; then
+ # We do not care about this test on old Bazel releases.
+ exit 0
+fi
+
# Load test environment
source $(rlocation io_bazel/src/test/shell/bazel/test-setup.sh) \
|| { echo "test-setup.sh not found!" >&2; exit 1; }